Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.traindesign.persistence
Class TrainDesignSolutionImporter

    java.lang.Object
      org.drools.planner.examples.common.app.LoggingMain
          org.drools.planner.examples.common.persistence.AbstractSolutionImporter
              org.drools.planner.examples.common.persistence.AbstractTxtSolutionImporter
                  org.drools.planner.examples.traindesign.persistence.TrainDesignSolutionImporter

    public class TrainDesignSolutionImporter

extends AbstractTxtSolutionImporter

Nested Class Summary
`class` | `TrainDesignSolutionImporter.TrainDesignInputBuilder`

Nested classes/interfaces inherited from class org.drools.planner.examples.common.persistence.AbstractTxtSolutionImporter
`AbstractTxtSolutionImporter.TxtInputBuilder`

Field Summary

Fields inherited from class org.drools.planner.examples.common.persistence.AbstractSolutionImporter
`DEFAULT_OUTPUT_FILE_SUFFIX, solutionDao`

Fields inherited from class org.drools.planner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`TrainDesignSolutionImporter()`

Method Summary
`AbstractTxtSolutionImporter.TxtInputBuilder` | `createTxtInputBuilder()`
`String` | `getInputFileSuffix()`
`static void` | `main(String[] args)`

Methods inherited from class org.drools.planner.examples.common.persistence.AbstractTxtSolutionImporter
`readSolution, readSolution`

Methods inherited from class org.drools.planner.examples.common.persistence.AbstractSolutionImporter
`acceptInputFile, convertAll, getInputDir, getOutputDir, getOutputFileSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrainDesignSolutionImporter

    public TrainDesignSolutionImporter()

Method Detail

### main

    public static void main(String[] args)

### getInputFileSuffix

    public String getInputFileSuffix()

  Overrides:
    `getInputFileSuffix` in class `AbstractTxtSolutionImporter`

### createTxtInputBuilder

    public AbstractTxtSolutionImporter.TxtInputBuilder createTxtInputBuilder()

  Specified by:
    `createTxtInputBuilder` in class `AbstractTxtSolutionImporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.